/***********************************************************************************
file name: except.h
author: qingzhe huang
date: Jul. 21, 2007

Generally speaking, this is used for windows for the Structured Exception Handling(SEH).
In linux, you can only rely on C++ exception. So, maybe this will be re-write in this 
style.

***********************************************************************************/
#ifndef EXCEPT_H
#define EXCEPT_H

#include <stdio.h>
#ifndef LINUX_VERSION
#include <windows.h>

void catchException(DWORD exception);

#define EXCEPT_CALL(x, y) __try {x;} __except(EXCEPTION_EXECUTE_HANDLER) {printf(y); exit(9);}
#endif
			
/*
int main()
{
	char* ptr;//don't initialize to NULL because sprintf will catch that before exception-catching
	__try
	{
		
		//myTest(ptr);
		sprintf(ptr, "impossible%d", 5);
		printf("never reach here\n");
	
	}
	__except(catchException(GetExceptionCode()))
	{
		printf("exception handled\n");
	}
	printf("finished");

	return 0;
}
*/

#endif
