#include <stdio.h>
#include <stdlib.h>

const unsigned int TermNumber=6;
const char* TermName[TermNumber]=
{
	"MasterIndex",
	"RenderHostStartIndex",
	"RenderCount",
	"TesterHostStartIndex",
	"TesterCount",
	"DisplayerIndex"
};

void replace(unsigned int configNumber[6])
{
	char buffer[256];
	FILE* stream;
	if ((stream=fopen("/nfs/home/q/qingz_hu/octree/octree/coreConfig.h", "w"))==NULL)
	{
		printf("open source code file failed\n");
		exit(23);
	}
	for (int i=0; i<6; i++)
	{
		fprintf(stream, "const unsigned int %s=%d;\n", TermName[i], configNumber[i]);
	}
	fclose(stream);
}

int main(int argc, char** argv)
{
	unsigned int configNumber[6];
	if (argc!=7)
	{
		printf("should be 6 arguments\n");
		exit(24);
	}
	for (int i=0; i<6; i++)
	{
		sscanf(argv[1+i], "%u", configNumber+i);
	}
	replace(configNumber);
	return 0;
}
